/*
 * mtk - Maths Toolkit for X11
 *
 * Copyright 1994-1997   andrewr@chiark.greenend.org.uk (Andrew Ross)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ********/

#ifndef NUMINT_H_
#define NUMINT_H_
/* Header file for NumInt dialog class */

#include "eqndialog.h"
#include <qlistbox.h>
#include <qlined.h>
#include "../equations/equ.h"

class NumInt : public EqnDialog
{
  Q_OBJECT
 public:
  NumInt( int *, Equation *, range *, char *, char *, char *, Parser *, char * =0 );
  ~NumInt();

 public slots:
  void button_ok();
  void set_var();

 protected:
  Equation *equ;
  int *var_num; 
  range *Range;
  QListBox *listbox;
  QLineEdit *edit_from;
  QLineEdit *edit_to;
  QLineEdit *edit_step;
};

#endif /* NUMINT_H_ */
